Name:		stompclt
Version:	1.8
Release:    1%{?dist}
Summary:	Versatile STOMP client
License:	GPL+ or Artistic
URL:		https://github.com/cern-mig/%{name}
Source0:	https://github.com/cern-mig/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(Net::STOMP::Client) >= 2.0
Requires:	perl(Directory::Queue)

%description
stompclt is a versatile tool to interact with messaging brokers speaking
STOMP and/or message queues (see Messaging::Message::Queue) on disk.

It receives messages (see Messaging::Message) from an incoming module,
optionally massaging them (i.e. filtering and/or modifying), and sends
them to an outgoing module. Depending on which modules are used, the tool
can perform different operations.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%files
%doc Changes README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-1
- initial build
